/**

`kano-animated-svg` controls changes of path descriptors of a path SVG element.
It allows you to define a set of SVG paths and switch between them.

Example:
    <kano-animated-svg paths="[[paths]]"
                       selected="start"></kano-animated-svg>

 The following custom properties and mixins are also available for styling:

 Custom property | Description | Default
 ----------------|-------------|----------
 `--kano-animated-path` | Mixin applied to the path SVG element | `{}`

@group Kano Elements
@hero hero.svg
@demo ./demo.html
*/
import { LitElement } from 'lit-element/lit-element.js';
export declare class KanoAnimatedSvg extends LitElement {
    paths: {
        [K: string]: string;
    };
    selected?: string;
    width: number;
    height: number;
    svgEl?: SVGElement;
    pathEl?: SVGPathElement;
    static readonly styles: import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    updated(changes: Map<string, unknown>): void;
    updateViewBox(): void;
}
