import { LitElement } from 'lit-element/lit-element.js';
import '@kano/styles/typography.js';
import '@kano/styles/color.js';
export interface IIndexedPickerSection {
    id: string;
    label: string;
    items: IIndexedPickerItem[];
}
export interface IIndexedPickerItem {
    id: string;
    label: string;
    image?: string;
}
export declare class KCIndexedPicker extends LitElement {
    items: IIndexedPickerSection[];
    selectedSection?: string;
    value: string;
    protected scrollContainer?: HTMLElement;
    protected sections?: HTMLElement[];
    static readonly styles: import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    static readonly itemStyles: import("lit-element").CSSResult[];
    renderItem(item: IIndexedPickerItem): import("lit-element").TemplateResult;
    renderItemContent(item: IIndexedPickerItem): import("lit-element").TemplateResult;
    connectedCallback(): void;
    protected onScroll(): void;
    protected updateIndex(): void;
    protected onSectionClick(section: IIndexedPickerSection): void;
    protected onItemClick(item: IIndexedPickerItem): void;
    revealSelectedElement(): void;
    revealSection(section: string): void;
}
