/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { ContributionManager } from '../contribution.js';
const registeredBriefings = new ContributionManager();
export function registerBriefing(id, briefing) {
    registeredBriefings.register(id, briefing);
}
export function createBriefing(editor) {
    const BriefingConstructor = registeredBriefings.get(editor.sourceType);
    if (!BriefingConstructor) {
        throw new Error(`Could not create briefing: Briefing for source type '${editor.sourceType}' was not imported.`);
    }
    return new BriefingConstructor(editor);
}
//# sourceMappingURL=index.js.map