/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, customElement, html, property, css } from 'lit-element/lit-element.js';
let KcToolboxEntryPreview = class KcToolboxEntryPreview extends LitElement {
    constructor() {
        super(...arguments);
        this.name = '';
        this.color = '';
    }
    static get styles() {
        return [css `
            :host {
                display: inline-flex;
                flex-direction: row;
                align-items: center;
                color: white;
                font-family: var(--font-body);
                font-weight: bold;
                text-align: left;
                box-sizing: border-box;
                padding: 0px 5px;
                border-radius: 4px;
                height: 20px;
            }
        `];
    }
    render() {
        return html `${this.name}`;
    }
    update(changedProps) {
        super.update(changedProps);
        if (changedProps.has('color')) {
            this.style.background = this.color;
        }
    }
};
__decorate([
    property({ type: String })
], KcToolboxEntryPreview.prototype, "name", void 0);
__decorate([
    property({ type: String })
], KcToolboxEntryPreview.prototype, "color", void 0);
KcToolboxEntryPreview = __decorate([
    customElement('kc-toolbox-entry-preview')
], KcToolboxEntryPreview);
export { KcToolboxEntryPreview };
//# sourceMappingURL=kc-toolbox-entry-preview.js.map