/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { KCBeacon } from '../../../elements/kc-beacon.js';
export class BeaconWidget {
    constructor() {
        this.position = null;
        this.resolvedPosition = null;
        this.blockPosition = false;
    }
    getDomNode() {
        if (!this.domNode) {
            this.domNode = new KCBeacon();
            this.domNode.style.pointerEvents = 'none';
            this.domNode.style.transition = 'transform linear 50ms';
        }
        return this.domNode;
    }
    setResolvedPosition(x, y) {
        this.resolvedPosition = { x, y };
    }
    setBlockPosition(blockPosition) {
        this.blockPosition = blockPosition;
    }
    isBlockPosition() {
        return this.blockPosition;
    }
    getResolvedPosition() {
        return this.resolvedPosition;
    }
    setPosition(p) {
        this.position = p;
    }
    getPosition() {
        return this.position;
    }
}
//# sourceMappingURL=beacon.js.map