import { Plugin } from '../plugin.js';
import { Binding } from './binding.js';
import Editor from '../editor.js';
export declare class Keybindings extends Plugin {
    private editor?;
    onInstall(editor: Editor): void;
    /**
    * @example
    *```js
    *
    *keybindings.register('ctrl+g', () => console.log('Keybinding triggered'));
    *keybindings.register('esc', () => console.log('Keybinding triggered'), input);
    *```
    */
    register(keys: string, cb: () => any, target?: HTMLElement): Binding;
}
export default Keybindings;
