/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
export class WorkspaceViewProvider {
    clear() { }
    setOutputView(outputView) {
        if (this.outputViewRoot) {
            // Trick to get custom els added
            const root = outputView instanceof HTMLElement ? outputView : outputView.root;
            if (!root) {
                throw new Error('Could not create WorkspaceView: OutputView provided does not have a root');
            }
            root.setAttribute('slot', 'workspace');
            this.outputViewRoot.appendChild(root);
        }
    }
    onInstall(editor) {
        this.editor = editor;
    }
    onInject() { }
    onDispose() { }
    get toolbar() {
        return this.root.querySelector('kc-workspace-toolbar');
    }
}
;
export default WorkspaceViewProvider;
export * from './default.js';
//# sourceMappingURL=index.js.map