import Editor from '../../editor/editor.js';
export declare function DrawAPI(editor: Editor, removeBackground?: Boolean): {
    type: string;
    id: string;
    name: string;
    typeScriptDefinition: string;
    register(Blockly: any): void;
    category: {};
    defaults: {
        draw_set_background_color: {
            COLOR: string;
        };
        draw_set_transparency: {
            ALPHA: number;
        };
        draw_line_to: {
            X: number;
            Y: number;
        };
        draw_line: {
            X: number;
            Y: number;
        };
        draw_color: {
            COLOR: string;
        };
        draw_stroke: {
            COLOR: string;
            SIZE: number;
        };
        draw_circle: {
            RADIUS: number;
        };
        draw_ellipse: {
            RADIUSX: number;
            RADIUSY: number;
        };
        draw_square: {
            SIZE: number;
        };
        draw_rectangle: {
            WIDTH: number;
            HEIGHT: number;
        };
        draw_triangle: {
            WIDTH: number;
            HEIGHT: number;
        };
        draw_arc: {
            RADIUS: number;
            START: number;
            END: number;
            CLOSE: boolean;
        };
        draw_move_to: {
            X: number;
            Y: number;
        };
        draw_move: {
            X: number;
            Y: number;
        };
        draw_repeat_drawing: {
            REPEATS: number;
            ROTATION: {
                shadow: string;
            };
            MOVEMENTX: number;
            MOVEMENTY: number;
        };
        draw_repeat_in_circle: {
            REPEATS: number;
        };
        draw_stamp: {
            STICKER: {
                shadow: string;
            };
            SIZE: number;
            ROTATION: {
                shadow: string;
            };
        };
    };
};
export default DrawAPI;
