import { Space } from './modules/space.js';
import { General } from './modules/general.js';
import { Paths } from './modules/paths.js';
import { Repeats } from './modules/repeats.js';
import { Setters } from './modules/setters.js';
import { Shapes } from './modules/shapes.js';
import { Stamp } from './modules/stamp.js';
import { Text } from './modules/text.js';
import { IResourceInformation } from '../../../output/resources.js';
import { ISession } from './utils.js';
export interface ICanvasAPISettings {
    ctx: CanvasRenderingContext2D;
    width: number;
    height: number;
    ratio?: number;
    stickers?: IResourceInformation;
}
export declare class Canvas {
    session: ISession;
    general: General;
    palette: {
        [K: string]: string;
    };
    paths: Paths;
    repeats: Repeats;
    setters: Setters;
    shapes: Shapes;
    space: Space;
    stamp: Stamp;
    text: Text;
    constructor(settings: ICanvasAPISettings);
    createSession(settings: ICanvasAPISettings): ISession;
    reset(settings: ICanvasAPISettings): ISession;
}
export default Canvas;
