import { IResourceInformation } from '../../../output/resources.js';
import { ITransformationArray } from './transformation.js';
export interface ISession {
    ctx: CanvasRenderingContext2D;
    pos: {
        x: number;
        y: number;
    };
    ratio: number;
    width: number;
    height: number;
    transformation?: ITransformationArray;
    stickers?: IResourceInformation;
    settings: {
        bg: string | null;
        stroke: {
            width: number;
            color: string;
            cap: CanvasLineCap;
        };
        fill: string;
        text: {
            size: number;
            italic: boolean;
            bold: boolean;
            font: string;
            align: CanvasTextAlign;
            baseline: CanvasTextBaseline;
        };
    };
}
export declare const Utils: {
    startShape(session: ISession): void;
    endShape(session: ISession, close?: boolean | undefined, back?: boolean | undefined): void;
    parseLineStyle(attributes: (string | number)[]): {
        width?: number | undefined;
        color?: string | undefined;
    };
    isString(val: any): val is string;
    isNumber(val: any): val is number;
    parseCoordinate(session: ISession, val: string | number, type: string): number;
    parseCoordinates(session: ISession, x: string | number, y: string | number): {
        x: number;
        y: number;
    };
    getCenter(session: ISession): {
        x: number;
        y: number;
    };
    parseColor(val: string): string;
    isColorValue(val: string): boolean;
};
