export declare const MathAPI: {
    type: string;
    id: string;
    name: string;
    typeScriptDefinition: string;
    register(Blockly: any): void;
    category: {
        readonly name: string;
        id: string;
        colour: string;
        blocks: (string | {
            id: string;
            defaults: string[];
        })[];
    };
    defaults: {
        math_number: {
            NUM: string;
        };
        math_arithmetic: {
            A: number;
            OP: string;
            B: number;
        };
        unary: {
            LEFT_HAND: string;
            OPERATOR: string;
            RIGHT_HAND: number;
        };
        math_random: {
            TYPE: string;
            MIN: number;
            MAX: number;
        };
        math_lerp: {
            FROM: number;
            TO: number;
            PERCENT: number;
        };
        math_trig: {
            OP: string;
        };
        math_constant: {
            CONSTANT: string;
        };
        math_modulo: {
            DIVIDEND: number;
            DIVISOR: number;
        };
        math_constrain: {
            VALUE: number;
            LOW: number;
            HIGH: number;
        };
        math_min_max: {
            MINMAX: string;
            ARG1: number;
            ARG2: number;
        };
        math_number_property: {
            PROPERTY: string;
            NUMBER_TO_CHECK: number;
        };
        math_single: {
            OP: string;
        };
        math_round: {
            OP: string;
        };
        math_sign: {
            ARG: number;
        };
    };
    labels: {
        math_arithmetic: {
            OP: string[][];
        };
        math_unary: {
            OPERATOR: string[][];
        };
        math_trig: {
            OP: string[][];
        };
        math_constant: {
            CONSTANT: string[][];
        };
        math_min_max: {
            MINMAX: string[][];
        };
        math_number_property: {
            PROPERTY: string[][];
        };
        math_single: {
            OP: string[][];
        };
        math_round: {
            OP: string[][];
        };
    };
};
export default MathAPI;
