/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import * as Modules from '../modules/index.js';
import * as Parts from '../parts/parts/index.js';
import DefaultOutputViewProvider from './default.js';
export class OutputProfile {
}
export class DefaultOutputProfile extends OutputProfile {
    constructor() {
        super(...arguments);
        this.id = 'default';
    }
    onInstall(output) {
        this.parts = Object.values(Parts);
        this.modules = Object.values(Modules);
        this.outputViewProvider = new DefaultOutputViewProvider();
    }
    onInject() {
        if (!this.outputViewProvider) {
            return;
        }
        this.outputViewProvider.onInject();
    }
}
export default OutputProfile;
//# sourceMappingURL=profile.js.map