/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { ButtonPart } from './button.js';
import { TransformAPI, onTransformInstall } from '../transform/api.js';
import { button } from '@kano/icons/parts.js';
import { TransformInlineDisplay } from '../transform/inline.js';
import { _ } from '../../../i18n/index.js';
export const ButtonAPI = {
    type: ButtonPart.type,
    color: '#00c7b6',
    label: _('PART_BUTTON_LABEL', 'Button'),
    icon: button,
    inlineDisplay: TransformInlineDisplay,
    symbols: [{
            type: 'variable',
            name: 'label',
            verbose: _('BUTTON_LABEL', 'label'),
            setter: true,
            returnType: String,
            default: _('BUTTON_LABEL_DEFAULT_VALUE', 'Click Me!'),
        }, {
            type: 'variable',
            name: 'background',
            verbose: _('PART_BUTTON_BACKGROUND', 'background'),
            returnType: 'Color',
            default: '#FF8F00',
            setter: true,
        }, {
            type: 'variable',
            name: 'color',
            verbose: _('PART_BUTTON_COLOR', 'color'),
            returnType: 'Color',
            default: '#FFFFFF',
            setter: true,
        }, ...TransformAPI],
    onInstall(editor, part) {
        onTransformInstall(editor, part);
    }
};
//# sourceMappingURL=api.js.map