/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Part } from '../../part.js';
import { part } from '../../decorators.js';
import { transformLegacyClock } from './legacy.js';
let ClockPart = class ClockPart extends Part {
    static transformLegacy(app) {
        transformLegacyClock(app);
    }
    getCurrent(key) {
        const date = new Date();
        switch (key) {
            case 'year': {
                return date.getFullYear();
            }
            case 'month': {
                return date.getMonth() + 1;
            }
            case 'day': {
                return date.getDate();
            }
            case 'hour': {
                return date.getHours();
            }
            case 'minute': {
                return date.getMinutes();
            }
            case 'seconds': {
                return date.getSeconds();
            }
            case 'milliseconds': {
                return date.getMilliseconds();
            }
        }
    }
    get(key) {
        if (key === 'date') {
            return (new Date()).toLocaleDateString();
        }
        return (new Date()).toLocaleTimeString();
    }
};
ClockPart = __decorate([
    part('clock')
], ClockPart);
export { ClockPart };
export default ClockPart;
//# sourceMappingURL=clock.js.map