/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { PartInlineDisplay } from '../../inline-display.js';
import { subscribeInterval } from '@kano/common/index.js';
import { KCClockDisplay } from './kc-clock-display.js';
export class ClockInlineDisplay extends PartInlineDisplay {
    constructor(part) {
        super(part);
        this.domNode = new KCClockDisplay();
        this.interval = subscribeInterval(() => {
            this.render();
        }, 1000);
        this.render();
    }
    render() {
        this.domNode.setTime(new Date());
    }
    onInject() { }
    onDispose() {
        this.interval.dispose();
    }
}
//# sourceMappingURL=inline.js.map