import '../../../../elements/inline-controls/kano-value-rendering/kano-value-rendering.js';
import { OscillatorPart } from './oscillator.js';
import { LitElement } from 'lit-element';
export declare class KCOscillatorDisplay extends LitElement {
    value: number;
    part?: OscillatorPart;
    private canvas;
    private ctx?;
    private _nextFrameId;
    private prevTimestamp;
    static readonly styles: import("lit-element").CSSResult;
    render(): import("lit-element").TemplateResult;
    firstUpdated(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    resize(): void;
    _initCanvas(): void;
    static getY(x: number, height: number, yScale: number): number;
    /**
     * Generate a 50x50 canvas to store a cycle of the oscillator visualisation
     * Use that image to paint the wave by repeating it on the x axis
     * Use a global cache so that every single part share the same sprite
     */
    _generateCache(wave: string): void;
    _render(timestamp?: number): void;
}
