/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { KCIndexedPicker } from '../../../../../elements/kc-indexed-picker.js';
import { customElement, html, css } from 'lit-element/lit-element.js';
import { classMap } from 'lit-html/directives/class-map.js';
let KCSamplePicker = class KCSamplePicker extends KCIndexedPicker {
    static get styles() {
        return super.styles.concat([css `
            .section {
                flex-direction: column;
            }
        `]);
    }
    static get itemStyles() {
        return [css `
            .item {
                padding: 12px;
                background: transparent;
                border: 0;
                font-family: inherit;
                font-size: inherit;
                color: rgba(255, 255, 255, 0.6);
                border-radius: 5px;
                border: 2px solid transparent;
                background: rgba(255, 255, 255, 0.1);
                margin: 4px;
                cursor: pointer;
                display: flex;
                flex-direction: row;
                align-items: center;
            }
            .glyph {
                width: 16px;
                height: 16px;
                background: rgba(255, 255, 255, 0.6);
                border-radius: 3px;
                margin-right: 8px;
            }
            .item.selected {
                border-color: white;
            }
            .item:focus {
                outline: none;
            }
            .item img {
                width: 100%;
                height: 100%;
            }
        `];
    }
    renderItem(item) {
        return html `
            <button class=${classMap({ item: true, selected: this.value === item.id })} id=${item.id} @click=${() => this.onItemClick(item)}>
                <span class="glyph"></span>
                <span>${item.label}</span>
            </button>
        `;
    }
};
KCSamplePicker = __decorate([
    customElement('kc-sample-picker')
], KCSamplePicker);
export { KCSamplePicker };
//# sourceMappingURL=kc-sample-picker.js.map