import { Part, IPartContext } from '../../part.js';
import { ISampleSet } from './data.js';
import { PartComponent } from '../../component.js';
declare class SpeakerComponent extends PartComponent {
    playbackRate: number;
    volume: number;
}
export declare class SpeakerPart extends Part {
    private ctx?;
    private destination?;
    private players;
    core: SpeakerComponent;
    private samplesMap;
    private _samples;
    private _defaultSample;
    private legacyIdMap;
    static readonly defaultSample: string;
    static readonly items: ISampleSet[];
    static readonly legacyIdMap: Map<string, string>;
    static resolve(id: string): string;
    static transformLegacy(app: any): void;
    constructor();
    onInstall(context: IPartContext): void;
    loadSample(src: string): Promise<AudioBuffer>;
    getSample(src: string): Promise<AudioBuffer>;
    onStop(): void;
    render(): void;
    _play(id: string, loop?: boolean, time?: number): void;
    play(id: string, time: number): void;
    loop(id: string): void;
    stop(): void;
    randomFrom(id: string): string;
    setLegacyIdMap(map: Map<string, string>): void;
    getLegacyIdMap(): Map<string, string>;
    pitch: number;
    volume: number;
}
export {};
