import { EditorOrPlayer } from '../editor/editor-or-player.js';
import { Output, IOutputProfile } from '../output/output.js';
export declare class Player extends EditorOrPlayer {
    output: Output;
    profiles: Map<string, IOutputProfile>;
    private _fullscreenEnabled;
    private _fullscreen;
    element?: HTMLElement;
    outputRoot?: HTMLElement;
    before?: HTMLElement;
    injected: boolean;
    constructor();
    static registerProfile(profile: IOutputProfile): void;
    getCode(): string;
    disableFullscreen(): void;
    enableFullscreen(): void;
    load(data: any): Promise<void>;
    _injectOutputView(): void;
    inject(element?: HTMLElement, before?: HTMLElement): void;
    setRunningState(state: boolean): void;
    getRunningState(): boolean;
    toggleRunningState(): void;
    setFullscreen(state: boolean): void;
    getFullscreen(): boolean;
    toggleFullscreen(): void;
    _updateFullscreen(): void;
    dispose(): void;
}
export default Player;
