/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import '../../../../vendor/monaco-editor/esm/vs/language/typescript/monaco.contribution.js';
import '../../../../vendor/monaco-editor/esm/vs/basic-languages/monaco.contribution.js';
import { SimpleEditorModelResolverService } from '../../../../vendor/monaco-editor/esm/vs/editor/standalone/browser/simpleServices.js';
/**
 * Monkeypatch to make 'Find All References' work across multiple files
 * https://github.com/Microsoft/monaco-editor/issues/779#issuecomment-374258435
 */
SimpleEditorModelResolverService.prototype.findModel = function (editor, resource) {
    return window.monaco.editor.getModels().find((model) => model.uri.toString() === resource.toString());
};
window.MonacoEnvironment = {
    // TODO: Create a Kano Code environment to resolve those
    getWorkerUrl(moduleId, label) {
        if (label === 'javascript') {
            return '/dist/vendor/monaco-workers/ts.worker.js';
        }
        return '/dist/vendor/monaco-workers/editor.worker.js';
    }
};
export * from '../../../../vendor/monaco-editor/esm/vs/editor/edcore.main.js';
//# sourceMappingURL=editor.js.map