import '@kano/styles/typography.js';
import '@kano/styles/color.js';
import 'marked/lib/marked.js';
import { KanoTooltip, CaretType } from '../../elements/kano-tooltip/kano-tooltip.js';
import { IEditorWidget } from '../editor/widget/widget.js';
export declare class Tooltip implements IEditorWidget {
    protected domNode: KanoTooltip | null;
    protected markedEl: HTMLElement | null;
    protected contentNode: HTMLElement | null;
    render(markdown: string): import("lit-html").TemplateResult;
    update(markdown: string): void;
    getDomNode(): KanoTooltip;
    getTextNode(): HTMLParagraphElement;
    setCaret(caret: CaretType): void;
    setText(text: string): void;
    setPosition(position: string): void;
    setOffset(offset: number): void;
    setTarget(target: HTMLElement): void;
    layout(): void;
    getPosition(): null;
    close(): Promise<{}>;
    dispose(): void;
}
