const msgQueue = [];
let msgTimeout = null;

function msgQueueLoop() {
    if (!msgQueue.length || msgTimeout) {
        return;
    }
    const message = msgQueue.shift();
    webkit.messageHandlers.cordova_iab.postMessage(JSON.stringify(message));
    msgTimeout = setTimeout(() => {
        msgTimeout = null;
        msgQueueLoop();
    });
}

export function postIabIOSMessage(message) {
    if (!window.webkit || !webkit.messageHandlers || !webkit.messageHandlers.cordova_iab) {
        return;
    }
    msgQueue.push(message);
    msgQueueLoop();
}

export function sendUserDataIabIOS(id, username, email, token, method) {
    postIabIOSMessage({ m: 'auth-callback', a: { id, username, email, token, method } });
}

export function quitIabIOS() {
    postIabIOSMessage({ m: 'quit' });
}
