import resolve from 'rollup-plugin-node-resolve';
import copy from 'rollup-plugin-copy';
import { terser } from 'rollup-plugin-terser';
import minifyHTML from 'rollup-plugin-minify-html-literals';

export default [
    {
        input: 'index.js',
        plugins: [
            minifyHTML(),
            resolve(),
            copy({
                'index.html': 'dist/index.html',
                'main.css': 'dist/main.css',
                'node_modules/@webcomponents/webcomponentsjs/webcomponents-bundle.js': 'dist/node_modules/@webcomponents/webcomponentsjs/webcomponents-bundle.js',
                'locale/en-us.json': 'dist/locale/en-us.json',
                'locale/ja-jp.json': 'dist/locale/ja-jp.json',
            }),
        ],
        moduleContext: {
            [require.resolve('@kano/kwc-auth/dist/kwc-auth.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/kwc-auth-example.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-email.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-password.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-username.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-forgot-email.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-forgot-password.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-forgot-username.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-successful-signup.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/kwc-auth-login.js')]: 'window',
            [require.resolve('@kano/kwc-auth/dist/components/auth-single-form.js')]: 'window',
        },
        output: {
            format: 'iife',
            file: 'dist/index.js',
            sourcemap: true,
        },
    },
    {
        input: 'integration.js',
        plugins: [
            resolve(),
            terser(),
        ],
        output: {
            format: 'iife',
            name: 'KanoAuth',
            file: './dist/integration.js',
            sourcemap: true,
        },
    },
];
